Bug 781678

Summary: CVE-2011-4461 jetty: hash table collisions CPU usage DoS (oCERT-2011-003) [fedora-all]
Product: [Fedora] Fedora Reporter: Kurt Seifried <kseifried>
Component: jettyAssignee: Jeff Johnston <jjohnstn>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 15CC: java-sig-commits, jjohnstn, patrickm
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 16:23:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 781677    

Description Kurt Seifried 2012-01-14 02:02:29 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=781677

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-01-19 18:39:34 EST
jetty-6.1.26-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jetty-6.1.26-8.fc16
Comment 2 Fedora Update System 2012-01-25 12:39:02 EST
jetty-6.1.26-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/FEDORA-2012-0752/jetty-6.1.26-7.fc15
Comment 3 Jeff Johnston 2012-01-25 12:42:39 EST
jetty-8.1.0-0.1.rc5.fc17 has been built for Fedora rawhide and contains the upstream fixes.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3731602
Comment 4 Fedora Update System 2012-03-23 20:28:39 EDT
jetty-6.1.26-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-03-23 20:34:36 EDT
jetty-6.1.26-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora End Of Life 2012-08-07 16:23:22 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jeff Johnston 2012-08-08 11:17:19 EDT
Changing this to CURRENTRELEASE since the fix was already posted and this is not a WONTFIX situation.